List Posts
curl --request GET \
--url https://api.example.com/api/v1/linkedin/posts/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/linkedin/posts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/linkedin/posts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unipile_post_id": "<string>",
"social_id": "<string>",
"text": "<string>",
"share_url": "<string>",
"attachments": [],
"is_repost": false,
"author_name": "<string>",
"author_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"retry_count": 0,
"last_error": "<string>",
"impressions": 0,
"reactions": 0,
"comments": 0,
"reposts": 0,
"metrics_updated_at": "2023-11-07T05:31:56Z"
}
],
"accounts": [],
"next_after": "<string>",
"total_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}linkedin-content
List Posts
GET
/
api
/
v1
/
linkedin
/
posts
/
List Posts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100⌘I